#!/bin/sh
":"; exec emacs -Q --script "$0" -- "$@"

(setq cwd default-directory)

(defun stomp-message-buffer (test-file)
  "Create a buffer with a stomp message in it for testing purposes"
  (find-file (format "%s/testdata/%s" cwd test-file)))

(defun simple-message-buffer ()
  "Simple buffer to be used for testing"
  (stomp-message-buffer "stomp_message.txt"))

(defun carriage-return-message-buffer ()
  "Simple buffer with carriage returns"
  (stomp-message-buffer "stomp_message_cr.txt"))

(load (format "%sstomp.el" default-directory) nil t)

;; Simple test for basic buffer
(setq recieved (stomp-read-message (simple-message-buffer)))
(pp (alist-get 'command recieved))

;; Test for buffer containing carriage returns
(pp (stomp-read-message (carriage-return-message-buffer)))


